<?php
function ConFecact() 
{ 
	$dbcfa = mysqli_connect("35.225.233.105:3306", "root", "O7I=)O%IwT]o","intralog_impo") or die ("no se conecto a intralog_impo") ;
	return $dbcfa; 
} 
$lfecact=ConFecact();

$qTime = mysqli_query($lfecact,"select time_configuration from configuracion");
$rqTime = mysqli_fetch_array($qTime);
$zona = $rqTime["time_configuration"];
date_default_timezone_set('America/'.$zona); //Mexico_City
//date_default_timezone_set('America/Mexico_City');
require_once("comun/conexion3.php");
require_once("comun/conex_ver.php");

require_once("comun/actions.php");

require_once("comun/funciones.php");

$action = new actions();
con_impo();

function valorate($valor){
	$valor = str_replace("'","\'",strtoupper($valor));
	return $valor;
}
 
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&& REGISTRO DE """MBL""" LZ ADDED 14.6.2013 &&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
$txtbooking= valorate($_POST['booking']); //booking interteam
$correcciones= valorate($_POST['correcciones']);
//OBTENGO EL ID DEL BOOKING (ITVER)
$txtidbooking= qry_('booking_interteam = "'.$txtbooking.'"','bookingexpint','booking'); //itver

if($txtidbooking=='') $txtidbooking=$txtbooking;

 $txtcomentarios= valorate($_POST['comentarios']);

$tarja=valorate($_POST['tarja']);

$registrado_por = $_POST['registrado_por'];
$status_cambiado = $_POST['status_cambiado'];
$status = $_POST['status'];

$tipo_bl = $_POST['tipo_bl'];

//if(strlen(trim($tarja))>=6 and $status!='OK'){
//$status_cambiado='OK';	
//}
$fecha_recepcion=valorate($_POST['fecha_recepcion']);
$hora= valorate($_POST['hora']);
$minutos= valorate($_POST['minutos']);
$tarja_recepcion=valorate($_POST['tarja_recepcion']);
$pedimento = valorate($_POST['pedimento']);
$tarja_averia = valorate($_POST['tarja_averia']);
$imo = valorate($_POST['imo']);
$posicion_almacen = valorate($_POST['posicion_almacen']);

$tratamiento_madera = valorate($_POST['tratamiento_madera']);
$txtreferencia= valorate($_POST['referencia']);
$txtshipper_file= valorate($_POST['shipper_file']);
   
$txtconsignee1=valorate($_POST['consignee1']);
$txtconsignee2= valorate($_POST['consignee2']);
$txtconsignee3=valorate($_POST['consignee3']);
$txtconsignee4 = valorate($_POST['consignee4']);
$txtconsignee5 = valorate($_POST['consignee5']);
$txtconsignee6 = valorate($_POST['consignee6']);

$txtnotify1=valorate($_POST['notify1']);
$txtnotify2= valorate($_POST['notify2']);
$txtnotify3=valorate($_POST['notify3']);
$txtnotify4 = valorate($_POST['notify4']);
$txtnotify5 = valorate($_POST['notify5']);
$txtnotify6 = valorate($_POST['notify6']);

$txtshipper1=valorate($_POST['shipper1']);
$txtshipper2= valorate($_POST['shipper2']);
$txtshipper3=valorate($_POST['shipper3']);
$txtshipper4 = valorate($_POST['shipper4']);
$txtshipper5 = valorate($_POST['shipper5']);
$txtshipper6 = valorate($_POST['shipper6']);

$txtmarks=valorate($_POST['marks']);
$txtquantity= valorate($_POST['quantity']);
$txttype_of_bulks= valorate($_POST['type_of_bulks']);

$txtdescription=valorate($_POST['description']);
$txtno_piezas = valorate($_POST['no_piezas']);
$txtgross_weight = valorate($_POST['gross_weight']);
//$txtnet_weight = valorate($_POST['net_weight']);

$txtvolume=valorate($_POST['volume']);
$txtharmonized_code= valorate($_POST['harmonized_code']);
//$txtams=valorate($_POST['ams']);


/*$largo=valorate($_POST['largo']);
$ancho=valorate($_POST['ancho']);
$alto=valorate($_POST['alto']);*/

//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&& END O LZ ADDED 14.6.2013 &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&



$txtfiles = qry_(' booking = "'.$txtidbooking.'" ','bookingexpint','files');
// OBTENGO EL HBL DEL BOOKING

$txthbl = hbl_($txtidbooking);

 con_ver();
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&REGISTRO DE MBL&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
$id_mbl = $_GET[id];

$boundary = "-----=" . md5( uniqid ( rand() ) ); 
$mailheader= "MIME-Version: 1.0\n"; 
$mailheader.= "Content-Type: multipart/alternative; boundary=\"$boundary\""; 
$mailheader.= "nX-Sender: lpm.doc@lpmzlo.com \nFrom: lpm.doc@lpmzlo.com \nReply-To: lpm.doc@lpmzlo.com \nX-MSMail-Priority: High \nContent-type: text/html" ;

$recibe='lpm.doc@lpmzlo.com';  
 
$recibe.=(trim($registrado_por)!='' ? ','.strtolower($registrado_por) : '');

if($id_mbl!='' and $id_mbl!='0'){ 

/////////// 3.11.2015 ////////////////////////
if(trim($fecha_recepcion)!='' and trim($fecha_recepcion)!='0000-00-00'){
con_impo();
mysql_query("update bookingexpint set eta_port='$fecha_recepcion' where booking_interteam='$txtbooking'");
con_ver();
}
/////////// end o 3.11.2015 ////////////
	mysql_query("update hblexpint set shipper='$txtshipper1', shipper2='$txtshipper2', shipper3='$txtshipper3',shipper4='$txtshipper4',
				shipper5='$txtshipper5',shipper6='$txtshipper6',consignee='$txtconsignee1',consignee2='$txtconsignee2', 
				consignee3='$txtconsignee3',consignee4='$txtconsignee4', consignee5='$txtconsignee5', consignee6='$txtconsignee6', 
			    notify='$txtnotify1',notify2='$txtnotify2', notify3='$txtnotify3', notify4='$txtnotify4', notify5='$txtnotify5', 
				notify6 = '$txtnotify6',shipper_file = '$txtshipper_file',
				tarja = '$tarja',comentarios='$txtcomentarios',referencia = '$txtreferencia',booking = '$txtbooking',
				registrado_por='".$_POST[registrado_por]."',
				fecha_recepcion='$fecha_recepcion',
				hora_registro_ingreso='$hora:$minutos',
				tarja_recepcion='$tarja_recepcion',
				tarja_averia='$tarja_averia',
				imo='$imo',
				posicion_almacen='$posicion_almacen',pedimento='$pedimento'
				where idhbl='".$id_mbl."' ");
	
	if($status_cambiado=='OK' and ($status=='REVISION PENDIENTE' or $status=='REVISANDO' or $status == 'FUERA DE TIEMPO')){
	mysql_query("update hblexpint set revision = '".$_GET[email]."',fecha_revision='".date("Y-m-d H:i:s")."',status = 'OK' where idhbl='".$id_mbl."' ");
    }
	
	if($status_cambiado=='REVISION PENDIENTE' or $status_cambiado=='REVISANDO'){
	 mysql_query("update hblexpint set revision = '".$_GET[email]."',fecha_revision='0000-00-00 00:00:00',status='REVISANDO' where idhbl='".$id_mbl."' ");
    }
	
	if($status_cambiado=='FUERA DE TIEMPO'){
			mysql_query("update hblexpint set revision = '".$_GET[email]."',fecha_revision='".date("Y-m-d H:i:s")."',status = 'FUERA DE TIEMPO' where idhbl='".$id_mbl."' ");
    }
	
	if($status_cambiado=='ROLADO' or $status_cambiado=='CANCELADO' ){
			mysql_query("update hblexpint set revision = '".$_GET[email]."',fecha_revision='".date("Y-m-d H:i:s")."',status = '".$status_cambiado."' where idhbl='".$id_mbl."' ");
    }
	if($status_cambiado!='NUEVO'){
	 mysql_query("update hblexpint set fecha_revision='".date("Y-m-d H:i:s")."',status='".$status_cambiado."' where idhbl='".$id_mbl."' ");
    }
	if($status_cambiado=='NUEVO'){
	 mysql_query("update hblexpint set fecha_revision='0000-00-00 00:00:00',status='NUEVO' where idhbl='".$id_mbl."' ");
    }
	if($_GET[email]!=''){
			mysql_query("update hblexpint set revision = '".$_GET[email]."' where idhbl='".$id_mbl."' ");
	 
    }
	if($tipo_bl=='MBL'){
		$descarga='
				<u>**AVISO IMPORTANTE PARA AGENCIAS  ADUANALES**</u><BR><BR>

Ahora puede consultar: NUMERO / TIPO / CAPACIDAD de CONTENEDOR Y  BANDERA DE BUQUE.<BR>
Ingresando su numero de booking en el portal: <a href="http://intralogs.com/VER/agenteaduanal/login.php">http://intralogs.com/VER/agenteaduanal/login.php</a> <BR>                                                       
**A partir de la fecha de cierre de documentos indicada para su embarque**. <BR><BR>

		DESCARGUE SU BL EN: <a href="http://intralogs.com/VER/pdf/mbl.php?booking='.base64_encode($txtbooking).'=&idhbl='.base64_encode($id_mbl).'">http://intralogs.com/VER/pdf/mbl.php?booking='.base64_encode($txtbooking).'=&idhbl='.base64_encode($id_mbl).'</a><br><br>';
	}else{
		$descarga='
				<u>**AVISO IMPORTANTE PARA AGENCIAS  ADUANALES**</u><BR><BR>

Ahora puede consultar: NUMERO / TIPO / CAPACIDAD de CONTENEDOR Y  BANDERA DE BUQUE.<BR>
Ingresando su numero de booking en el portal: <a href="http://intralogs.com/VER/agenteaduanal/login.php">http://intralogs.com/VER/agenteaduanal/login.php</a> <BR>                                                       
**A partir de la fecha de cierre de documentos indicada para su embarque**. <BR><BR>

		DESCARGUE SU BL EN: <a href="http://intralogs.com/VER/pdf/hbl.php?booking='.base64_encode($txtbooking).'=&idhbl='.base64_encode($id_mbl).'">http://intralogs.com/VER/pdf/hbl.php?booking='.base64_encode($txtbooking).'=&idhbl='.base64_encode($id_mbl).'</a><br><br>';
	}
	
	if($status_cambiado=='OK' and ($status=='REVISION PENDIENTE' or $status=='REVISANDO' or $status == 'FUERA DE TIEMPO')){
	$subject='*** OK *** '.$txtbooking;
						$mailtext ='<span style="font-family:Verdana, Geneva, sans-serif">GRACIAS, <B>'.$tipo_bl.' DE ID: '.$id_mbl.' BOOKING: '.$txtbooking.'</B> *** REVISION OK ***<br><br>'.
						
						$descarga.'
							
						LOGISTICA PORTUARIA DE VERACRUZ, S.A. DE C.V.</SPAN>';
			
						mail($recibe,$subject,$mailtext,$mailheader); 
	}

	if($_POST[status_cambiado]=='FUERA DE TIEMPO' and ($status=='REVISION PENDIENTE' or $status=='REVISANDO' or $status == 'FUERA DE TIEMPO')){
	$subject='*** FUERA DE TIEMPO *** '.$txtbooking;
						$mailtext ='<span style="font-family:Verdana, Geneva, sans-serif">*** FUERA DE TIEMPO ***, <B>'.$tipo_bl.' DE ID '.$id_mbl.' BOOKING '.$txtbooking.'</B> EL BL NO SE DOCUMENTARA <br><br>
						
						LOGISTICA PORTUARIA DE VERACRUZ, S.A. DE C.V.</SPAN>';
			
						mail($recibe,$subject,$mailtext,$mailheader); 
	} 
 // 11.3.2014
con_ver();//`netweight` = '$txtnet_weight',`ams`='$txtams'
 			    mysql_query("update detailcargaexpint set 
				`bulk` = '$txtquantity', `type_of_bulks` = '$txttype_of_bulks',
				`number_of_pieces` = '$txtno_piezas', `cargo` = '$txtdescription', 
				`weight` = '$txtgross_weight',imo='$imo',
				`measurement` = '$txtvolume', `markandnos` = '$txtmarks', 
				`harmonized_code`='$txtharmonized_code',bookingno = '$txtbooking',
				correcciones='$correcciones',tratamiento_madera='$tratamiento_madera'
				where id_bl = '".$id_mbl."'  ");
				//$action->alert(mysql_error());
				
				// aqui
				if(trim($txtidbooking)=='' or trim($txtidbooking)=='0'){
					$bkg = $txtbooking;
				}else{
					$bkg = $txtidbooking;
				}
				
				mysql_query("delete from dimensiones where id_partida = '$id_mbl'");
					
				for($l=0;$l<count($_POST[numero_bultos]);$l++){
							 if(trim($_POST[numero_bultos][$l])!='0' and trim($_POST[numero_bultos][$l])!=''){
									mysql_query("insert into dimensiones (`booking`, `id_partida`, `numero_bultos`, `largo`, `ancho`, `alto`)
									values ('".$bkg."',	'".$id_mbl."','".$_POST[numero_bultos][$l]."','".$_POST[largo][$l]."',
									'".$_POST[ancho][$l]."','".$_POST[alto][$l]."')");
							 }
				}		
	
	
}
$action->alert('BL GUARDADO');
//$action->add_js_code("document.getElementById('regresar').click()");
$action->send_response();
return;

?>


